Package weka.associations.tertius

# Class SimpleLinkedList.LinkedListInverseIterator

java.lang.Object
weka.associations.tertius.SimpleLinkedList.LinkedListInverseIterator

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

Enclosing class:
  `SimpleLinkedList`

public class SimpleLinkedList.LinkedListInverseIterator extends Object implements Serializable, RevisionHandler

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LinkedListInverseIterator()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getRevision()`
Returns the revision string.
`boolean`
`hasPrevious()`
`Object`
`previous()`
`void`
`remove()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LinkedListInverseIterator

public LinkedListInverseIterator()

## Method Details

### hasPrevious

public boolean hasPrevious()

### previous

public Object previous()

### remove

public void remove()

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision